/*
  로우패스필터를 통한 센싱값을 다시 이동평균하여 평활코드 적용
*/

float s_value;                //원시센서값 저장
float lpf_value;              //로우패스필터값 저장


// 로우패스필터를 1차로 거친 센싱값의 이동평균을 위한 적산 데이터개수
const int readCount = 10;

int readings[readCount];      // 로우패스필터를 거친 값들
int index = 0;                  // 로우패스필터값을 넣어야 할 인덱스
int total = 0;                  // 센서값들의 총합
int maf_value = 0;                //이동평균필터값

void windSensorInitialize(void) {
  for (int thisReading = 0; thisReading < readCount; thisReading++) readings[thisReading] = 0;
  s_value = analogRead(A3);
  lpf_value = s_value;
}
int getWindSensorValue (float LPF_sensitivity) {
  s_value = analogRead(A3);
  lpf_value = lpf_value * (1 - LPF_sensitivity / 100) + s_value * (LPF_sensitivity / 100);
  delay(10);

  // 로우패스필터링을 통한 센서값의 이동평균계산을 위한 데이터 적산코드
  total = total - readings[index];
  readings[index] = lpf_value;
  total = total + readings[index];
  index = index + 1;

  if (index >= readCount) index = 0;

  // 이동평균값 계산
  return total / readCount;
}
